org.apache.ignite.ml.optimization.updatecalculators

## Class SimpleGDParameterUpdate

- java.lang.Object
- - org.apache.ignite.ml.optimization.updatecalculators.SimpleGDParameterUpdate

- All Implemented Interfaces:
    Serializable

      public class SimpleGDParameterUpdate
      extends Object
      implements Serializable

  Parameters for `SimpleGDUpdateCalculator`.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IgniteFunction<List<SimpleGDParameterUpdate>,SimpleGDParameterUpdate>` | `AVG` Method used to sum updates inside of one of parallel trainings.
    `static IgniteFunction<List<SimpleGDParameterUpdate>,SimpleGDParameterUpdate>` | `SUM_LOCAL` Method used to get total update of all parallel trainings.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGDParameterUpdate(int paramsCnt)` Construct instance of this class.
    `SimpleGDParameterUpdate(Vector gradient)` Construct instance of this class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Vector` | `gradient()` Get gradient.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AVG

          public static final IgniteFunction<List<SimpleGDParameterUpdate>,SimpleGDParameterUpdate> AVG

      Method used to sum updates inside of one of parallel trainings.

    - #### SUM_LOCAL

          public static final IgniteFunction<List<SimpleGDParameterUpdate>,SimpleGDParameterUpdate> SUM_LOCAL

      Method used to get total update of all parallel trainings.

  - ### Constructor Detail

    - #### SimpleGDParameterUpdate

          public SimpleGDParameterUpdate(int paramsCnt)

      Construct instance of this class.
      Parameters:
        `paramsCnt` - Count of parameters.

    - #### SimpleGDParameterUpdate

          public SimpleGDParameterUpdate(Vector gradient)

      Construct instance of this class.
      Parameters:
        `gradient` - Gradient.

  - ### Method Detail

    - #### gradient

          public Vector gradient()

      Get gradient.
      Returns:
        Get gradient.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021